/*
 * Created on 2004-12-05
 *
 * Part of the Symbian development plug-in for Eclipse
 * Copyright (C) Mikołaj Zalewski, 2004
 */
package pl.zalewski.mikolaj.symbdev.core.mmpmodel;

/**
 * The possible priorities
 * 
 * @author mikolaj
 */
public class MMPPriorityEnum {

    public static final MMPPriorityEnum LOW=new MMPPriorityEnum(0, "low");
    public static final MMPPriorityEnum BACKGROUND=new MMPPriorityEnum(1, "background");
    public static final MMPPriorityEnum FOREGROUND=new MMPPriorityEnum(2, "foreground");
    public static final MMPPriorityEnum HIGH=new MMPPriorityEnum(3, "high");
    public static final MMPPriorityEnum WINDOWSERVER=new MMPPriorityEnum(4, "windowserver");
    public static final MMPPriorityEnum FILESERVER=new MMPPriorityEnum(5, "fileserver");
    public static final MMPPriorityEnum REALTIMESERVER=new MMPPriorityEnum(6, "realtimeserver");
    public static final MMPPriorityEnum SUPERVISOR=new MMPPriorityEnum(7, "supervisor");
    
    public static final MMPPriorityEnum[] fEnumTab=new MMPPriorityEnum[]{
            LOW,
            BACKGROUND,
            FOREGROUND,
            HIGH,
            WINDOWSERVER,
            FILESERVER,
            REALTIMESERVER,
            SUPERVISOR
    };
    
    public int getInt()
    {
        return fId;
    }
    
    public String getName()
    {
        return fName;
    }
    
    protected MMPPriorityEnum(int id, String name) {
        fId=id;
        fName=name;
    }
    
    int fId;
    String fName;
}
